#include <bits/stdc++.h>
using namespace std;

#define MAX 99999

int a[1005];

int main()
{
    int n, k, x;
    cin >> n >> k >> x;

    if(n != k){
        cout << "-1\n";
        return 0;
    }

    for(int i = 0; i < n; ++i){
        a[i] = MAX - x;
    }
    a[0] = a[0] - 3*x;
    a[n - 1] = a[n - 1] + x / 2;
    a[n - 2] = a[n - 1] - x;
    for(int i = 0; i < n; ++i){
        cout << a[i] << "\n";
    }
    return 0;
}